
QGIS Application - Bug report #18806

Cursor is misaligned when drawing new vectors

2018-04-25 07:43 PM - Steven Bernard

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.0.0 Regression?: No

Operating System: Mac OS X High Sierra 10.13.3 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26692

Description

When adding a new feature the target cross-hair is misaligned with the actual shape being drawn. Please see attached example. I was

very carefully drawing a new line (blue) by following the black line. As you can see there is a misalignment between the cross-hair and

where it is actual drawing.

Related issues:

Related to QGIS Application - Bug report # 19092: Measure tool on a Mac uses ... Closed 2018-06-02

Associated revisions

Revision 3264b0bb - 2018-05-07 11:20 AM - Matthias Kuhn 

Merge pull request #6937 from slarosa/fix_svg_size

fix svg size for cross-hair, capture-point, zoomin and zoomout, fixes #18806

History

#1 - 2018-04-25 09:30 PM - Harrissou Santanna

- Status changed from Open to Feedback

Hi Steven

No image attached.

#2 - 2018-05-07 11:19 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|3264b0bb3e49fca5d923deae3e8bb0e82662ff5f.

#3 - 2018-06-26 10:56 AM - Jürgen Fischer

- Related to Bug report #19092: Measure tool on a Mac uses the top right corner of the cross hair cursor instead of the centre added
